Bug 867400 - RpmDBError: Package tuple ('m17n-contrib', 'noarch', '0', '1.1.14', '1.fc18') could not be found in rpmdb
RpmDBError: Package tuple ('m17n-contrib', 'noarch', '0', '1.1.14', '1.fc18')...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
abrt_hash:0f0c4f5a526cb599e27be76e98a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 08:52 EDT by Eric Paris
Modified: 2014-06-16 08:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:36:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (511.68 KB, text/plain)
2012-10-17 08:52 EDT, Eric Paris
no flags Details
File: product (6 bytes, text/plain)
2012-10-17 08:52 EDT, Eric Paris
no flags Details
File: type (9 bytes, text/plain)
2012-10-17 08:52 EDT, Eric Paris
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-17 08:52 EDT, Eric Paris
no flags Details
File: storage.log (81.25 KB, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: version (11 bytes, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: environ (762 bytes, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: anaconda.log (5.50 KB, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: syslog (128.62 KB, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: packaging.log (224.63 KB, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: cmdline_file (87 bytes, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: release (24 bytes, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details
File: program.log (39.23 KB, text/plain)
2012-10-17 08:53 EDT, Eric Paris
no flags Details

  None (edit)
Description Eric Paris 2012-10-17 08:52:50 EDT
Description of problem:
I know there was a repository problem with pulseaudio, I kept changing repositories and having it recheck my package list...

Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3837, in getInstalledPackageObject
:    raise Errors.RpmDBError, _('Package tuple %s could not be found in rpmdb') % str(pkgtup)
:  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 1249, in _checkFileRequires
:    po = self.getInstalledPackageObject(pkgtup)
:  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 882, in resolveDeps
:    for po, dep in self._checkFileRequires():
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1120, in buildTransaction
:    (rescode, restring) = self.resolveDeps()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1106, in checkSoftwareSelection
:    (code, msgs) = self._yum.buildTransaction(unfinished_transactions_check=False)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 89, in checkSoftwareSelection
:    self.payload.checkSoftwareSelection()
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:RpmDBError: Package tuple ('m17n-contrib', 'noarch', '0', '1.1.14', '1.fc18') could not be found in rpmdb
Comment 1 Eric Paris 2012-10-17 08:52:53 EDT
Created attachment 628774 [details]
File: anaconda-tb
Comment 2 Eric Paris 2012-10-17 08:52:55 EDT
Created attachment 628775 [details]
File: product
Comment 3 Eric Paris 2012-10-17 08:52:57 EDT
Created attachment 628776 [details]
File: type
Comment 4 Eric Paris 2012-10-17 08:52:58 EDT
Created attachment 628777 [details]
File: ifcfg.log
Comment 5 Eric Paris 2012-10-17 08:53:00 EDT
Created attachment 628778 [details]
File: storage.log
Comment 6 Eric Paris 2012-10-17 08:53:02 EDT
Created attachment 628779 [details]
File: version
Comment 7 Eric Paris 2012-10-17 08:53:04 EDT
Created attachment 628780 [details]
File: environ
Comment 8 Eric Paris 2012-10-17 08:53:05 EDT
Created attachment 628781 [details]
File: anaconda.log
Comment 9 Eric Paris 2012-10-17 08:53:07 EDT
Created attachment 628782 [details]
File: syslog
Comment 10 Eric Paris 2012-10-17 08:53:09 EDT
Created attachment 628783 [details]
File: hashmarkername
Comment 11 Eric Paris 2012-10-17 08:53:11 EDT
Created attachment 628784 [details]
File: packaging.log
Comment 12 Eric Paris 2012-10-17 08:53:13 EDT
Created attachment 628785 [details]
File: cmdline_file
Comment 13 Eric Paris 2012-10-17 08:53:15 EDT
Created attachment 628786 [details]
File: release
Comment 14 Eric Paris 2012-10-17 08:53:17 EDT
Created attachment 628787 [details]
File: program.log
Comment 15 Chris Lumens 2012-10-30 13:49:55 EDT
I've been trying without succeeding to reproduce this for a little while now.  Since it was reported, however, I've also committed a fix related to changing settings in the software spoke, so perhaps I have inadvertently fixed this bug.  Can you please retest with a tree containing anaconda-18.22 (not built yet, check back soon) and see if this is fixed for you?  Thanks.
Comment 16 Fedora End Of Life 2013-12-21 04:08:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2014-02-05 07:36:37 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.